commit: 84ffd8df72593dc63e8bd1f9857e85e7a32d31da
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 24 04:17:04 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Sep 24 04:17:04 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84ffd8df
dev-util/astyle: add 3.4.8
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-util/astyle/Manifest | 2 +
dev-util/astyle/astyle-3.4.8.ebuild | 83 +++++++++++++++++++++++++++++++++++++
2 files changed, 85 insertions(+)
diff --git a/dev-util/astyle/Manifest b/dev-util/astyle/Manifest
index 049413ee7181..06e4fc5aab79 100644
--- a/dev-util/astyle/Manifest
+++ b/dev-util/astyle/Manifest
@@ -1,4 +1,6 @@
DIST astyle-3.4.6.tar.bz2 229578 BLAKE2B
8dc4cfc72a070810223c098182ea23bfcbf3757b68a9ed27f5d304159ca9a4351f405bd71026b2f3e8f6bca8409f6f1269302fc7d0cdae181c061a83960a268d
SHA512
fbceb14e094826ccf8a630ed6e7c7d0f57ba618d63faa8bf338a64a122ed6aed91774d113e55641e9f743597fe443b6fab45aba2f9406e305e65d268bf27cbe4
DIST astyle-3.4.6.tar.bz2.asc 488 BLAKE2B
cf072e050b1a612332975b85dd808eb2283b1f7459550a2d10db787c280172fdf51cca471e8853083de2fe943ec8d1d5283cadb2518c357fda93857fa00bc427
SHA512
9731bb79bb478e059ac7c628c5d6ef29a4c08ba24208a95aa0b72a234becb13979a4514c8a22ca3490da41eaa2bed8754256d59f948c6b06a8e6fe97c0eca5c8
+DIST astyle-3.4.8.tar.bz2 229679 BLAKE2B
413204c5f53276ff533300bcb86c8c8ef8cf91371b2ac70431957dee1e713acd64eee6da18e2919ab51ca6757b30363997eeb2baae621a8cb302011adfc80c97
SHA512
8c0c79eea04ecdbc24f6e673a1a848d8682dc4e4f83949887eca5be98d5c485298fb44b0e9c70444c41ed09eb62662335138058bcfc9d3de21978149bc1b6ddc
+DIST astyle-3.4.8.tar.bz2.asc 488 BLAKE2B
cb3aada25bb5f6f9c433bdc0a5ee6464ff2266f38a0b0a847349b4d56e7fed5ff055e296a0502c77d7f120aeaf3c7cfbd898850b455f927218cf8a66406e1ce7
SHA512
29085bf168435072c98ea4238798e7123e8ca9595b1a036a1d91dee128718d9c500d010be4cd0f6f7039abffce8341728ba1cdb01b7a06d77500c1e6b0cab873
DIST astyle-3.4.tar.bz2 226981 BLAKE2B
1d3db58a7123e516657f224c217ac300fc9d75a50c3ed5cddf8d51868e251397c45ffb43dac9a9f414eaf47896171002bd5eb857ffe4336153fb1bddff3d7eb7
SHA512
c81fb18a8ebba89500639377291d320107983ebc842fa99973d00efa08c41950ffac7fe78faddb3d025b30eae58ccf8d643582965c1a3df2604f0a0240fd8e82
DIST astyle_3.1_linux.tar.gz 185589 BLAKE2B
d0bc9bf3403de89d207f33ac885c7cd57fd1e71314c947e1593ee24ade9ce36c83c6fd8e7021f44d8d3b344ea3add63fa5a7b246c40f10193dc38b51e7ad36bc
SHA512
2e8f13d291abda66bbba30174c364c81a81a490e0a21376f7da7cf471644c22caa37b9eefb100d093bf26d1a8bfa9d2f14b4c2a9b75b3cb84428b4514e277ff2
diff --git a/dev-util/astyle/astyle-3.4.8.ebuild
b/dev-util/astyle/astyle-3.4.8.ebuild
new file mode 100644
index 000000000000..126f56e4b4a4
--- /dev/null
+++ b/dev-util/astyle/astyle-3.4.8.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/andresimon.asc
+inherit toolchain-funcs java-pkg-opt-2 verify-sig
+
+DESCRIPTION="Artistic Style is a re-indenter and reformatter for C++, C and
Java source code"
+HOMEPAGE="https://astyle.sourceforge.net/ https://gitlab.com/saalen/astyle"
+SRC_URI="
+ mirror://sourceforge/astyle/${P}.tar.bz2
+ http://www.andre-simon.de/zip/${P}.tar.bz2
+ verify-sig? ( http://www.andre-simon.de/zip/${P}.tar.bz2.asc )
+"
+
+LICENSE="MIT"
+SLOT="0/3.2"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux
~ppc-macos"
+IUSE="examples java static-libs"
+
+DEPEND="
+ app-arch/xz-utils
+ java? ( >=virtual/jdk-1.6:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="verify-sig? ( sec-keys/openpgp-keys-andresimon )"
+
+src_prepare() {
+ if use java ; then
+ java-pkg-opt-2_src_prepare
+ sed -e "s:^\(JAVAINCS\s*\)=.*$:\1=
$(java-pkg_get-jni-cflags):" \
+ -e "s:ar crs:$(tc-getAR) crs:" \
+ -i build/gcc/Makefile || die
+ else
+ default
+ fi
+}
+
+src_configure() {
+ tc-export CXX
+ default
+}
+
+src_compile() {
+ # ../build/clang/Makefile is identical except for CXX line.
+ emake CXX="$(tc-getCXX)" -f ../build/gcc/Makefile -C src \
+ ${PN} \
+ shared \
+ $(usev java) \
+ $(usev static-libs static)
+}
+
+src_install() {
+ doheader src/${PN}.h
+
+ pushd src/bin >/dev/null || die
+ dobin ${PN}
+
+ local libastylename="lib${PN}.so.${SLOT##*/}.0"
+ local libastylejname="lib${PN}j.so.${SLOT##*/}.0"
+ local libdestdir="/usr/$(get_libdir)"
+
+ dolib.so "${libastylename}"
+ dosym "${libastylename}" "${libdestdir}/lib${PN}.so.$(ver_cut 1
${SLOT##*/})"
+ dosym "${libastylename}" "${libdestdir}/lib${PN}.so"
+ if use java ; then
+ dolib.so "${libastylejname}"
+ dosym "${libastylejname}" "${libdestdir}/lib${PN}j.so.$(ver_cut
1 ${SLOT##*/})"
+ dosym "${libastylejname}" "${libdestdir}/lib${PN}j.so"
+ fi
+ if use static-libs ; then
+ dolib.a lib${PN}.a
+ fi
+ popd >/dev/null || die
+ if use examples ; then
+ docinto examples
+ dodoc -r file/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ local HTML_DOCS=( doc/. )
+ einstalldocs
+}